Lua_AreanBoxDetailsWindow = class("Lua_AreanBoxDetailsWindow", Lua_Window);
function Lua_AreanBoxDetailsWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_AreanBoxDetailsWindow";
	self.skinName = "AreanBoxDetailsWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
	self.showClose = true;
	self.btnClosePosX = 300;
	self.btnClosePosY = 400;
end

function Lua_AreanBoxDetailsWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.itemList = Lua_DragList.new(self.content, 621, 740, Lua_AxisDefine.Vertical);
	self.itemList:setListCell(Lua_AreanBoxDetailsItem, 621, 158, 1);
	self.itemList:setLocation(0, -25, 0);
	self.itemList:setCellSpacing(0, 10);

	self:updateShowInfo();
end

function Lua_AreanBoxDetailsWindow:dispose()
	if self.itemList ~= nil then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose");
end

function Lua_AreanBoxDetailsWindow:updateShowInfo()
	local arr = DataCenter.arenaUtil:getBoxArr(2);
	self.itemList:setArrayData(arr);
end




















Lua_AreanBoxDetailsItem = class("Lua_AreanBoxDetailsItem", Lua_ListCell);
function Lua_AreanBoxDetailsItem:ctor(p)
	self:superCall("ctor", p, "AreanBoxDetailsItem_skin");
end

function Lua_AreanBoxDetailsItem:buildShowItem()
	self:superCall("buildShowItem");

	self.itemList = Lua_ItemIconList.new(self.content);
	self.itemList:setLocation(-225, -16, 0);
	self.itemList.pivot = 1;
	self.itemList.scaleVal = 0.8;
end

function Lua_AreanBoxDetailsItem:dispose()
	if self.itemList ~= nil then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:superCall("dispose");
end

function Lua_AreanBoxDetailsItem:setData(data)
	if data == nil then
		return;
	end
	
	self.txtTitle.text = LanUtil.formateStr(303018, tostring(data.id));
	self.itemList:setArrayData(data.reward);

	local state = DataCenter.arenaData:getBoxRewardState(data.id);
	if state == 2 then
		self.txtSchedule:setEnable(false);
		self.barSchedule:setEnable(false);
		self.selloutIcon:setEnable(true);
	else
		local times = DataCenter.arenaData.fight_times;
		if times >= data.id then
			self.txtSchedule.text = LanUtil.formateStr(10044, tostring(data.id), tostring(data.id));
		else
			self.txtSchedule.text = LanUtil.formateStr(10044, tostring(times), tostring(data.id));
		end
		self.barSchedule:setMaxValue(data.id);
		self.barSchedule:setValue(DataCenter.arenaData.fight_times);
		self.barSchedule:setText("");

		self.txtSchedule:setEnable(true);
		self.barSchedule:setEnable(true);
		self.selloutIcon:setEnable(false);
	end
end

function Lua_AreanBoxDetailsItem:onPressClick()
	self.itemList:onBoundClick();
end