Lua_AreanBoxItem = class("Lua_AreanBoxItem", Lua_DisplayObject);
function Lua_AreanBoxItem:ctor(p)
	self:superCall("ctor", p, "AreanBoxItem_skin");
end

function Lua_AreanBoxItem:buildShowItem()
	self:superCall("buildShowItem");
	self.state = 0;
	self.sprBox:addClickFuntion(self, self.onBoxClick);
end

function Lua_AreanBoxItem:dispose()
	if self.uiEff then
		self.uiEff:dispose();
		self.uiEff = nil;
	end
	if self.receiveEff then
		self.receiveEff:dispose();
		self.receiveEff = nil;
	end
	if self.redPoint ~= nil then
		self.redPoint:dispose();
		self.redPoint = nil;
	end
	self.data = nil;
	self:superCall("dispose");
end

function Lua_AreanBoxItem:setData(data)
	self.data = data;

	self.state = DataCenter.arenaData:getBoxRewardState(data.id);
	local str = string.sub(data.box_icon, 1, string.len(data.box_icon) - 1);
	if self.state == 2 then
		self.sprBox:setAltas("common_altas_4", str.."p");
	else
		self.sprBox:setAltas("common_altas_4", str.."n");
	end
	if self.state == 1 then
		if str == "ui_djc_box_001_" then
			self:showEff("ui_ty_xbx_0101_1")
		elseif str == "ui_djc_box_002_" then
			self:showEff("ui_ty_xbx_0101_2")
		else
			self:showEff("ui_ty_xbx_0101_3")
		end
	else
		self:showEff(nil)
	end
	self.txtTimes.text = data.id;

	self:setRedPoint(self.state == 1);
end

function Lua_AreanBoxItem:showEff(value)
	if strIsNullOrEmpty(value) then
		self.sprBox.alpha = 1;
		if self.uiEff then
			self.uiEff:setEnable(false)
		end
	else
		if self.uiEff == nil then
			self.uiEff = UICreate.createUIEffect(self.content, nil, nil, 0, 0)
			self.uiEff.siblingIndex = 1
			self.uiEff:addLuaLoadCompleteFun(self, self.onEffLoaded);
		end
		self.uiEff:setUrl("/effects/uiEffects/"..value, value);
		self.uiEff:setEnable(false)
		self.uiEff:setEnable(true)
	end
end

function Lua_AreanBoxItem:onEffLoaded()
	self.sprBox.alpha = 0.01;
end

function Lua_AreanBoxItem:showReceiveEff(bValue)
	if bValue then
		if self.receiveEff == nil then
			self.receiveEff = UICreate.createUIEffect(self.content, "/effects/uiEffects/ui_ty_xbx_0101_6", "ui_ty_xbx_0101_6", 0, 0)
		else
			self.receiveEff:setEnable(false)
			self.receiveEff:setEnable(true)
		end
	else
		if self.receiveEff then
			self.receiveEff:setEnable(false)
		end
	end
end

function Lua_AreanBoxItem:setRedPoint(bShow)
	if bShow then
		if self.redPoint == nil then
			self.redPoint = Lua_RedPointIcon.new(self.content);
			self.redPoint:setLocation(20, 20, 0);
			self.redPoint:createRedPointEff();
		end
		self.redPoint:updateRedPointShow(true);
	else
		if self.redPoint ~= nil then
			self.redPoint:updateRedPointShow(false);
		end
	end
end

function Lua_AreanBoxItem:onBoxClick(go)
	if self.data == nil then
		return;
	end
	if self.state == 1 then
		Lua_ProxyManager.getProxy("Lua_ArenaProxy"):sReceiveBoxReward(self.data.id);
	else
		Lua_WindowUtil.openWin("Lua_AreanBoxDetailsWindow", Lua_WinParam.ACTION_OPEN);
	end
end