-- 斗技场
checkRequire("Lua_ArenaMainPanel");
checkRequire("Lua_ArenaRewardPanel");
Lua_ArenaWindow = class("Lua_ArenaWindow", Lua_Window);
function Lua_ArenaWindow:ctor()
	self:superCall("ctor");

	self.layer = MainWinDefine.MAIN_MENU_TOP_LAYER;
	self.windowName = "Lua_ArenaWindow";
	self.isFullSizeWin = true;
	self.showBlackMask = true;
end

function Lua_ArenaWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.btnInfo = Array();
	self.btnInfo:add({ textAtlas = "arena_atlas_1", textNormalSprite = "ui_djc_button_001_n", textSelectedSprite = "ui_djc_button_001_p", panel = Lua_ArenaMainPanel, redPointId = Lua_RedPointList.Arena });
	self.btnInfo:add({ textAtlas = "arena_atlas_1", textNormalSprite = "ui_djc_button_002_n", textSelectedSprite = "ui_djc_button_002_p" });
	self.btnInfo:add({ textAtlas = "arena_atlas_1", textNormalSprite = "ui_djc_button_003_n", textSelectedSprite = "ui_djc_button_003_p", panel = Lua_ArenaRewardPanel });
	self.btnInfo:add({ textAtlas = "arena_atlas_1", textNormalSprite = "ui_djc_button_004_n", textSelectedSprite = "ui_djc_button_004_p", func_path_id = 1028 });

    self.btnList = Lua_ButtonList.new(self.content, Lua_AxisDefine.Horizontal);
    self.btnList:setRectAnchor(7);
    self.btnList:setLocation(123.5, 53.5, 0);
    self.btnList:setButtonStyle("common_altas_1", "ui_common_button_001_b", "ui_common_button_001_b", 118, 108, 0.01, 1);
    self.btnList:setButtonLine("common_altas_1", "ui_common_line_011", 2, 108, 0, 0, 1);
    self.btnList:setButtonItem(120, 108);
    self.btnList:setRedPoint(40, 40);
    self.btnList:setClickCallBack(self, self.onBtnClick);
    self.btnList:setData(self.btnInfo);
    self.btnList:setSelected(1);

    self:createBackBtn();
end

function Lua_ArenaWindow:onBackBtnClick()
	DataCenter.funcPathUtil:gotoFunction(1038, true);
end

function Lua_ArenaWindow:dispose()
	if self.showPanel ~= nil then
		self.showPanel:dispose();
		self.showPanel = nil;
	end
	if self.btnList ~= nil then
		self.btnList:dispose();
		self.btnList = nil;
	end
	if self.btnInfo ~= nil then
		self.btnInfo:clear();
		self.btnInfo = nil;
	end
	self:superCall("dispose");
end

function Lua_ArenaWindow:onBtnClick(index, data)
	if self.selectedIdx == index then
		return;
	end
	self.prevIdx = self.selectedIdx;
	self.selectedIdx = index;

	if data.panel ~= nil then
		if self.showPanel ~= nil then
			self.showPanel:dispose();
			self.showPanel = nil;
		end
		self.showPanel = data.panel.new(self.content);
		self.showPanel:setSiblingIndex(0);
		self.showPanel:setRectAnchor(9);
	else
		if data.func_path_id ~= nil then
			DataCenter.funcPathUtil:gotoFunction(data.func_path_id);
		elseif index == 2 then
			Lua_WindowUtil.openWin("Lua_ArenaRankWindow", Lua_WinParam.ACTION_OPEN);
		end
		self.btnList:updateSelected(self.prevIdx);
		self.selectedIdx = self.prevIdx;
	end
end